## breathe 4.20.0

=== examples/specific/Makefile ===
#
# This file was generated from Makefile.in on Sat Dec 13 12:17:28 GMT 2008
#

DOXYGEN   ?= `which doxygen`
TMAKEPATH = 
ENV       = env TMAKEPATH=$(TMAKEPATH)
TMAKE     = 
MAKE      = /usr/bin/make
PERL      = /usr/bin/perl
RM        = rm -f
CP        = cp
VERSION   = 1.5.7.1
INSTALL   = /tmp
INSTTOOL  = /usr/bin/install
DOXYDOCS  = ..
DOCDIR    = $(INSTALL)/share/doc/packages/doxygen
QTDIR     = 
HAVE_DOT  = /usr/bin/dot

projects  = nutshell alias rst inline namespacefile array inheritance \
			members userdefined fixedwidthfont latexmath functionOverload \
			image name union group struct struct_function qtsignalsandslots lists \
			headings links parameters template_class template_class_non_type \
			template_function template_type_alias template_specialisation \
			enum define interface \
			cpp_anon cpp_enum cpp_union cpp_function cpp_friendclass \
			cpp_inherited_members cpp_trailing_return_type \
			c_file c_struct c_enum c_typedef c_macro c_union

special   = programlisting decl_impl multifilexml auto class typedef

xmls := $(foreach project, $(projects), $(project)/xml/index.xml)

special_xmls = $(foreach project, $(special), $(project)/xml/index.xml)

all: $(xmls) $(special_xmls)

clean:
	rm -rf $(projects) $(special)


# General pattern
# ---------------

$(xmls): %/xml/index.xml: %.cfg %.h 
	$(DOXYGEN) $<


# Special Cases
# -------------

programlisting/xml/index.xml: programlisting.h programlisting.cfg programlistinginclude.txt
	$(DOXYGEN) programlisting.cfg

decl_impl/xml/index.xml: decl_impl.h decl_impl.c decl_impl.cfg
	$(DOXYGEN) decl_impl.cfg

multifilexml/xml/index.xml: multifile/one/Util.h multifile/two/Util.h multifile.cfg
	$(DOXYGEN) multifile.cfg

auto/xml/index.xml: auto_class.h auto_function.h auto.cfg
	$(DOXYGEN) auto.cfg

class/xml/index.xml: class.h class.cpp class.cfg
	$(DOXYGEN) class.cfg

typedef/xml/index.xml: typedef.h typedef.cfg
	$(DOXYGEN) typedef.cfg

=== debian/changelog ===
breathe (4.20.0-1) unstable; urgency=medium

  * New upstream release
    - Fix support for Sphinx 3.2 (Closes: #968649)

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 20 Aug 2020 09:42:37 +0200

breathe (4.19.2-2) unstable; urgency=medium

  * Upload to unstable

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 09 Aug 2020 14:53:34 +0200

breathe (4.19.2-1) experimental; urgency=medium

  * New upstream release
    - Fix build with Sphinx 3.1 (Closes: #963633)
  * debian/control:
    - Bump debhelper compat to 13
    - Bump python3-sphinx to (>= 3) in Build-Depends
  * debian/patches: Refresh

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 24 Jun 2020 23:17:48 +0200

breathe (4.14.1-2) unstable; urgency=medium

  * Upload to unstable

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 15 Apr 2020 12:43:47 +0200

breathe (4.14.1-1) experimental; urgency=medium

  * New upstream release.
  * debian/control
    - Bump Standards-Version
    - Bump python3-sphinx to >= 2.0
  * debian/: Remove Python versioned based alternative

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 15 Feb 2020 17:42:42 +0100

=== debian/control ===
Source: breathe
Section: python
Priority: optional
Maintainer: Sebastian Ramacher <sramacher@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-setuptools,
 python3-docutils,
 python3-six,
 python3-sphinx (>= 3),
 doxygen,
 latexmk,
 texlive-plain-generic,
 texlive-latex-extra,
 texlive-fonts-recommended
Standards-Version: 4.5.0
Vcs-Git: https://salsa.debian.org/sramacher/breathe.git
Vcs-Browser: https://salsa.debian.org/sramacher/breathe
Homepage: https://github.com/michaeljones/breathe/
Rules-Requires-Root: no

Package: python3-breathe
Architecture: all
Depends:
 ${python3:Depends},
 ${misc:Depends},
 doxygen
Enhances:
 python3-sphinx
Suggests:
 breathe-doc
Description: Sphinx autodox support for languages with doxygen support (Python 3)
 Breathe provides a bridge between the Sphinx and doxygen documentation
 systems. It enables Sphinx to generate autodoc for languages other than Python
 with the help of doxygen. It also allows one to embed reStructuredText in
 doxygen markup.
 .
 This package provides the module for Python 3.

Package: breathe-doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${sphinxdoc:Depends},
 ${misc:Depends},
 libjs-mathjax
Section: doc
Description: Sphinx autodox support for languages with doxygen support (documentation)
 Breathe provides a bridge between the Sphinx and doxygen documentation
 systems. It enables Sphinx to generate autodoc for languages other than Python
 with the help of doxygen. It also allows one to embed reStructuredText in
 doxygen markup.
 .
 This package contains the documentation.

## breathe 4.26.0

=== Makefile ===

.PHONY: all
all: html pdf

.PHONY: html
html: data
	$(MAKE) -C documentation html

.PHONY: pdf
pdf: data
	$(MAKE) -C documentation latexpdf
	
.PHONY: data
data:
	$(MAKE) -C examples/doxygen all
	$(MAKE) -C examples/tinyxml all
	$(MAKE) -C examples/specific all

.PHONY: distclean
distclean: clean
	$(MAKE) -C documentation clean

.PHONY: clean
clean:
	$(MAKE) -C examples/doxygen $@
	$(MAKE) -C examples/tinyxml $@
	$(MAKE) -C examples/specific $@

.PHONY: test
test:
	cd tests && pytest -v

.PHONY: dev-test
dev-test:
	cd tests && PYTHONPATH=../:$(PYTHONPATH) pytest -v

.PHONY: flake8
flake8:
	flake8 breathe/*.py \
		breathe/directive/*.py \
		breathe/finder/*.py \
		breathe/renderer/sphinxrenderer.py \
		breathe/renderer/filter.py \
		breathe/parser/compound.py

.PHONY: type-check
type-check:
	mypy breathe tests

=== documentation/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS   ?= -vn
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR     ?= build
DEBUG        ?= -P

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = $(DEBUG) -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/test.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/test.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/test"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/test"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

spelling:
	$(SPHINXBUILD) -b spelling -N $(ALLSPHINXOPTS) $(BUILDDIR)/spelling
	@echo
	@echo "Build finished. The spelling files are in $(BUILDDIR)/spelling."

=== examples/doxygen/Makefile ===
#
# This file was generated from Makefile.in on Sat Dec 13 12:17:28 GMT 2008
#

DOXYGEN   ?= `which doxygen`
TMAKEPATH = 
ENV       = env TMAKEPATH=$(TMAKEPATH)
TMAKE     = 
MAKE      = /usr/bin/make
PERL      = /usr/bin/perl
RM        = rm -f
CP        = cp
VERSION   = 1.5.7.1
INSTALL   = /tmp
INSTTOOL  = /usr/bin/install
DOXYDOCS  = ..
DOCDIR    = $(INSTALL)/share/doc/packages/doxygen
QTDIR     = 
HAVE_DOT  = /usr/bin/dot

all: class/xml/index.xml \
     define/xml/index.xml \
     enum/xml/index.xml \
     file/xml/index.xml \
     func/xml/index.xml \
     page/xml/index.xml \
     relates/xml/index.xml \
     author/xml/index.xml \
     par/xml/index.xml \
     parblock/xml/index.xml \
     overload/xml/index.xml \
     example/xml/index.xml \
     include/xml/index.xml \
     qtstyle/xml/index.xml \
     jdstyle/xml/index.xml \
     structcmd/xml/index.xml \
     autolink/xml/index.xml \
     restypedef/xml/index.xml \
     afterdoc/xml/index.xml \
     template/xml/index.xml \
     tag/xml/index.xml \
     group/xml/index.xml \
     diagrams/xml/index.xml \
     memgrp/xml/index.xml \
     docstring/xml/index.xml \
     pyexample/xml/index.xml \
     mux/xml/index.xml \
     manual/xml/index.xml \
     interface/xml/index.xml

clean:
	rm -rf  class define enum file func page relates author \
		par parblock overload example include qtstyle jdstyle structcmd \
		autolink tag restypedef afterdoc template tag group diagrams \
		memgrp docstring pyexample mux manual interface

class/xml/index.xml: class.h class.cfg
	$(DOXYGEN) class.cfg

define/xml/index.xml: define.h define.cfg
	$(DOXYGEN) define.cfg

enum/xml/index.xml: enum.h enum.cfg
	$(DOXYGEN) enum.cfg

file/xml/index.xml: file.h file.cfg
	$(DOXYGEN) file.cfg

func/xml/index.xml: func.h func.cfg
	$(DOXYGEN) func.cfg

page/xml/index.xml: page.doc page.cfg
	$(DOXYGEN) page.cfg

relates/xml/index.xml: relates.cpp relates.cfg
	$(DOXYGEN) relates.cfg

author/xml/index.xml: author.cpp author.cfg
	$(DOXYGEN) author.cfg

par/xml/index.xml: par.cpp par.cfg
	$(DOXYGEN) par.cfg

parblock/xml/index.xml: parblock.cpp parblock.cfg
	$(DOXYGEN) parblock.cfg

overload/xml/index.xml: overload.cpp overload.cfg
	$(DOXYGEN) overload.cfg

example/xml/index.xml: example.cpp example_test.cpp example.cfg 
	$(DOXYGEN) example.cfg

include/xml/index.xml: include.cpp example_test.cpp include.cfg 
	$(DOXYGEN) include.cfg

qtstyle/xml/index.xml: qtstyle.cpp qtstyle.cfg 
	$(DOXYGEN) qtstyle.cfg

jdstyle/xml/index.xml: jdstyle.cpp jdstyle.cfg 
	$(DOXYGEN) jdstyle.cfg

structcmd/xml/index.xml: structcmd.h structcmd.cfg 
	$(DOXYGEN) structcmd.cfg

autolink/xml/index.xml: autolink.cpp autolink.cfg 
	$(DOXYGEN) autolink.cfg

tag/xml/index.xml: tag.cpp tag.cfg example/xml/index.xml
	$(DOXYGEN) tag.cfg
#	sed -e "1,1s#perl#$(PERL)#g" tag/xml/installdox >tag/xml/installdox.perl
#	cd tag/xml ; $(PERL) installdox.perl -lexample.tag@../../example/xml

restypedef/xml/index.xml: restypedef.cpp restypedef.cfg 
	$(DOXYGEN) restypedef.cfg

afterdoc/xml/index.xml: afterdoc.h afterdoc.cfg
	$(DOXYGEN) afterdoc.cfg

template/xml/index.xml: templ.cpp templ.cfg
	$(DOXYGEN) templ.cfg

group/xml/index.xml: group.cpp group.cfg
	$(DOXYGEN) group.cfg

memgrp/xml/index.xml: memgrp.cpp memgrp.cfg
	$(DOXYGEN) memgrp.cfg

pyexample/xml/index.xml: pyexample.py pyexample.cfg
	$(DOXYGEN) pyexample.cfg

mux/xml/index.xml: mux.vhdl mux.cfg
	$(DOXYGEN) mux.cfg

manual/xml/index.xml: manual.c manual.cfg
	$(DOXYGEN) manual.cfg

docstring/xml/index.xml: docstring.py docstring.cfg
	$(DOXYGEN) docstring.cfg

interface/xml/index.xml: interface.h interface.cfg
	$(DOXYGEN) interface.cfg

diagrams/xml/index.xml: diagrams_a.h diagrams_b.h diagrams_c.h diagrams_d.h diagrams_e.h diagrams.cfg
ifneq ($(HAVE_DOT),)
	$(DOXYGEN) diagrams.cfg
endif

=== examples/specific/Makefile ===
--- 
+++ 
@@ -23,7 +23,7 @@
 			image name union group struct struct_function qtsignalsandslots lists \
 			headings links parameters template_class template_class_non_type \
 			template_function template_type_alias template_specialisation \
-			enum define interface \
+			enum define interface xrefsect \
 			cpp_anon cpp_enum cpp_union cpp_function cpp_friendclass \
 			cpp_inherited_members cpp_trailing_return_type \
 			c_file c_struct c_enum c_typedef c_macro c_union

=== debian/changelog ===
breathe (4.26.0-1) unstable; urgency=medium

  * QA upload
  * New upstream release
    - Fix compatibility with doxygen 1.9 (Closes: #979007)
  * debian/control: Orphan package

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 18 Jan 2021 20:19:36 +0100

breathe (4.24.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control: Bump Standards-Version

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 24 Nov 2020 21:22:29 +0100

breathe (4.23.0-1) unstable; urgency=medium

  * New upstream release

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 28 Oct 2020 14:46:03 +0100

breathe (4.22.1-1) unstable; urgency=medium

  * New upstream release

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 01 Oct 2020 13:46:28 +0200

breathe (4.22.0-1) unstable; urgency=medium

  * New upstream release

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 21 Sep 2020 22:25:46 +0200

breathe (4.21.0-1) unstable; urgency=medium

  * New upstream release

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 13 Sep 2020 17:08:39 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: breathe
 Section: python
 Priority: optional
-Maintainer: Sebastian Ramacher <sramacher@debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
@@ -15,7 +15,7 @@
  texlive-plain-generic,
  texlive-latex-extra,
  texlive-fonts-recommended
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Git: https://salsa.debian.org/sramacher/breathe.git
 Vcs-Browser: https://salsa.debian.org/sramacher/breathe
 Homepage: https://github.com/michaeljones/breathe/

=== debian/rules ===
#!/usr/bin/make -f

PY3DEF=$(shell py3versions -vd)
SPHINXBUILD="/usr/share/sphinx/scripts/python{version.major}/sphinx-build"

# Build documentation for readthedocs
export READTHEDOCS=True
# Do not build for Travis
export TRAVIS_CI=False

%:
	dh $@ --with=python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	$(MAKE) distclean
	rm -rf html

override_dh_auto_build:
	dh_auto_build
	# Link mathjax in _static
	ln -s /usr/share/javascript/mathjax \
		documentation/source/_static/mathjax
	pybuild --system=custom -p $(PY3DEF) --build \
		--build-args="env PYTHONPATH={build_dir} $(MAKE) SPHINXBUILD=$(SPHINXBUILD)"
	mv documentation/build/html html

override_dh_auto_test:
	# We test breathe by building the documention. The documentation has already
	# been built for the default Python 3 version, so we do not need to do this
	# again.

override_dh_installdocs:
	# Do not copy mathjax to the binary package
	dh_installdocs -X_static/mathjax

override_dh_sphinxdoc:
	# dh_link creates the link for mathjax after dh_sphinxdoc, so ignore
	# MathJax.js
	dh_sphinxdoc -XMathJax.js

## breathe 4.31.0

=== Makefile ===
--- 
+++ 
@@ -28,16 +28,16 @@
 
 .PHONY: test
 test:
-	cd tests && pytest -v
+	cd tests && python3 -m pytest -v
 
 .PHONY: dev-test
 dev-test:
-	cd tests && PYTHONPATH=../:$(PYTHONPATH) pytest -v
+	cd tests && PYTHONPATH=../:$(PYTHONPATH) python3 -m pytest -v
 
 .PHONY: flake8
 flake8:
 	flake8 breathe/*.py \
-		breathe/directive/*.py \
+		breathe/directives/*.py \
 		breathe/finder/*.py \
 		breathe/renderer/sphinxrenderer.py \
 		breathe/renderer/filter.py \

=== examples/specific/Makefile ===
--- 
+++ 
@@ -23,10 +23,11 @@
 			image name union group struct struct_function qtsignalsandslots lists \
 			headings links parameters template_class template_class_non_type \
 			template_function template_type_alias template_specialisation \
-			enum define interface xrefsect \
+			enum define interface xrefsect tables \
 			cpp_anon cpp_enum cpp_union cpp_function cpp_friendclass \
-			cpp_inherited_members cpp_trailing_return_type \
-			c_file c_struct c_enum c_typedef c_macro c_union
+			cpp_inherited_members cpp_trailing_return_type cpp_constexpr_hax \
+			cpp_function_lookup \
+			c_file c_struct c_enum c_typedef c_macro c_union membergroups
 
 special   = programlisting decl_impl multifilexml auto class typedef

=== debian/changelog ===
breathe (4.31.0-3) unstable; urgency=medium

  * Remove B-D on python3-six (no longer needed).
    Thanks to Dmitry Shachnev

 -- Timo Röhling <roehling@debian.org>  Sun, 03 Oct 2021 15:24:45 +0200

breathe (4.31.0-2) unstable; urgency=medium

  * Re-upload after accidental binary upload.
  * Add manual page for breathe-apidoc

 -- Timo Röhling <roehling@debian.org>  Sun, 03 Oct 2021 13:00:58 +0200

breathe (4.31.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields:
    Bug-Database, Bug-Submit, Repository, Repository-Browse.

  [ Timo Röhling ]
  * New upstream version 4.31.0
  * Bump Standards-Version to 4.6.0 (no changes)
  * Adopt package by Debian Python Team
  * Update d/watch to version 4

 -- Timo Röhling <roehling@debian.org>  Sun, 03 Oct 2021 12:25:47 +0200

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,24 @@
 Source: breathe
 Section: python
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Uploaders: Timo Röhling <roehling@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
  python3-all,
  python3-setuptools,
  python3-docutils,
- python3-six,
  python3-sphinx (>= 3),
  doxygen,
  latexmk,
+ tex-gyre,
  texlive-plain-generic,
  texlive-latex-extra,
  texlive-fonts-recommended
-Standards-Version: 4.5.1
-Vcs-Git: https://salsa.debian.org/sramacher/breathe.git
-Vcs-Browser: https://salsa.debian.org/sramacher/breathe
+Standards-Version: 4.6.0
+Vcs-Git: https://salsa.debian.org/python-team/packages/breathe.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/breathe
 Homepage: https://github.com/michaeljones/breathe/
 Rules-Requires-Root: no

=== debian/rules ===
--- 
+++ 
@@ -22,8 +22,10 @@
 	ln -s /usr/share/javascript/mathjax \
 		documentation/source/_static/mathjax
 	pybuild --system=custom -p $(PY3DEF) --build \
-		--build-args="env PYTHONPATH={build_dir} $(MAKE) SPHINXBUILD=$(SPHINXBUILD)"
+		--build-args="env PYTHONPATH={build_dir} $(MAKE) SPHINXBUILD=$(SPHINXBUILD) DOXYGEN=/usr/bin/doxygen"
 	mv documentation/build/html html
+	# Hotfix for build path in documentation
+	sed -i -e 's@$(CURDIR)/@@g' html/*.html
 
 override_dh_auto_test:
 	# We test breathe by building the documention. The documentation has already

## breathe 4.33.1

=== examples/doxygen/Makefile ===
--- 
+++ 
@@ -3,9 +3,9 @@
 #
 
 DOXYGEN   ?= `which doxygen`
-TMAKEPATH = 
+TMAKEPATH =
 ENV       = env TMAKEPATH=$(TMAKEPATH)
-TMAKE     = 
+TMAKE     =
 MAKE      = /usr/bin/make
 PERL      = /usr/bin/perl
 RM        = rm -f
@@ -15,10 +15,11 @@
 INSTTOOL  = /usr/bin/install
 DOXYDOCS  = ..
 DOCDIR    = $(INSTALL)/share/doc/packages/doxygen
-QTDIR     = 
+QTDIR     =
 HAVE_DOT  = /usr/bin/dot
 
 all: class/xml/index.xml \
+     concept/xml/index.xml \
      define/xml/index.xml \
      enum/xml/index.xml \
      file/xml/index.xml \
@@ -49,13 +50,16 @@
      interface/xml/index.xml
 
 clean:
-	rm -rf  class define enum file func page relates author \
+	rm -rf  class concept define enum file func page relates author \
 		par parblock overload example include qtstyle jdstyle structcmd \
 		autolink tag restypedef afterdoc template tag group diagrams \
 		memgrp docstring pyexample mux manual interface
 
 class/xml/index.xml: class.h class.cfg
 	$(DOXYGEN) class.cfg
+
+concept/xml/index.xml: concept.h concept.cfg
+	$(DOXYGEN) concept.cfg
 
 define/xml/index.xml: define.h define.cfg
 	$(DOXYGEN) define.cfg
@@ -87,22 +91,22 @@
 overload/xml/index.xml: overload.cpp overload.cfg
 	$(DOXYGEN) overload.cfg
 
-example/xml/index.xml: example.cpp example_test.cpp example.cfg 
+example/xml/index.xml: example.cpp example_test.cpp example.cfg
 	$(DOXYGEN) example.cfg
 
-include/xml/index.xml: include.cpp example_test.cpp include.cfg 
+include/xml/index.xml: include.cpp example_test.cpp include.cfg
 	$(DOXYGEN) include.cfg
 
-qtstyle/xml/index.xml: qtstyle.cpp qtstyle.cfg 
+qtstyle/xml/index.xml: qtstyle.cpp qtstyle.cfg
 	$(DOXYGEN) qtstyle.cfg
 
-jdstyle/xml/index.xml: jdstyle.cpp jdstyle.cfg 
+jdstyle/xml/index.xml: jdstyle.cpp jdstyle.cfg
 	$(DOXYGEN) jdstyle.cfg
 
-structcmd/xml/index.xml: structcmd.h structcmd.cfg 
+structcmd/xml/index.xml: structcmd.h structcmd.cfg
 	$(DOXYGEN) structcmd.cfg
 
-autolink/xml/index.xml: autolink.cpp autolink.cfg 
+autolink/xml/index.xml: autolink.cpp autolink.cfg
 	$(DOXYGEN) autolink.cfg
 
 tag/xml/index.xml: tag.cpp tag.cfg example/xml/index.xml
@@ -110,7 +114,7 @@
 #	sed -e "1,1s#perl#$(PERL)#g" tag/xml/installdox >tag/xml/installdox.perl
 #	cd tag/xml ; $(PERL) installdox.perl -lexample.tag@../../example/xml
 
-restypedef/xml/index.xml: restypedef.cpp restypedef.cfg 
+restypedef/xml/index.xml: restypedef.cpp restypedef.cfg
 	$(DOXYGEN) restypedef.cfg
 
 afterdoc/xml/index.xml: afterdoc.h afterdoc.cfg

=== examples/specific/Makefile ===
--- 
+++ 
@@ -3,9 +3,9 @@
 #
 
 DOXYGEN   ?= `which doxygen`
-TMAKEPATH = 
+TMAKEPATH =
 ENV       = env TMAKEPATH=$(TMAKEPATH)
-TMAKE     = 
+TMAKE     =
 MAKE      = /usr/bin/make
 PERL      = /usr/bin/perl
 RM        = rm -f
@@ -15,7 +15,7 @@
 INSTTOOL  = /usr/bin/install
 DOXYDOCS  = ..
 DOCDIR    = $(INSTALL)/share/doc/packages/doxygen
-QTDIR     = 
+QTDIR     =
 HAVE_DOT  = /usr/bin/dot
 
 projects  = nutshell alias rst inline namespacefile array inheritance \
@@ -24,10 +24,11 @@
 			headings links parameters template_class template_class_non_type \
 			template_function template_type_alias template_specialisation \
 			enum define interface xrefsect tables \
-			cpp_anon cpp_enum cpp_union cpp_function cpp_friendclass \
+			cpp_anon cpp_concept cpp_enum cpp_union cpp_function cpp_friendclass \
 			cpp_inherited_members cpp_trailing_return_type cpp_constexpr_hax \
 			cpp_function_lookup \
-			c_file c_struct c_enum c_typedef c_macro c_union membergroups
+			c_file c_struct c_enum c_typedef c_macro c_union membergroups \
+			simplesect code_blocks dot_graphs
 
 special   = programlisting decl_impl multifilexml auto class typedef
 
@@ -44,7 +45,7 @@
 # General pattern
 # ---------------
 
-$(xmls): %/xml/index.xml: %.cfg %.h 
+$(xmls): %/xml/index.xml: %.cfg %.h
 	$(DOXYGEN) $<

=== debian/changelog ===
breathe (4.33.1-3) unstable; urgency=medium

  * Fix autopkgtest to not use Git

 -- Timo Röhling <roehling@debian.org>  Tue, 01 Mar 2022 16:03:34 +0100

breathe (4.33.1-2) unstable; urgency=medium

  * Stop hardcoding (and forgetting to bump) upstream version in documentation

 -- Timo Röhling <roehling@debian.org>  Sat, 19 Feb 2022 08:55:38 +0100

breathe (4.33.1-1) unstable; urgency=medium

  * New upstream version 4.33.1

 -- Timo Röhling <roehling@debian.org>  Wed, 16 Feb 2022 13:53:44 +0100

breathe (4.32.0-1) unstable; urgency=medium

  * New upstream version 4.32.0

 -- Timo Röhling <roehling@debian.org>  Mon, 31 Jan 2022 13:41:00 +0100

=== debian/control ===
--- 
+++ 
@@ -11,6 +11,7 @@
  python3-docutils,
  python3-sphinx (>= 3),
  doxygen,
+ graphviz,
  latexmk,
  tex-gyre,
  texlive-plain-generic,
@@ -27,7 +28,8 @@
 Depends:
  ${python3:Depends},
  ${misc:Depends},
- doxygen
+ doxygen,
+ graphviz
 Enhances:
  python3-sphinx
 Suggests:

## breathe 4.34.0

=== debian/changelog ===
breathe (4.34.0-1) unstable; urgency=medium

  * New upstream version 4.34.0
  * Bump Standards-Version to 4.6.1

 -- Timo Röhling <roehling@debian.org>  Tue, 21 Jun 2022 13:05:51 +0200

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
  texlive-plain-generic,
  texlive-latex-extra,
  texlive-fonts-recommended
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Git: https://salsa.debian.org/python-team/packages/breathe.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/breathe
 Homepage: https://github.com/michaeljones/breathe/

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+include /usr/share/dpkg/pkg-info.mk
 
 PY3DEF=$(shell py3versions -vd)
 SPHINXBUILD="/usr/share/sphinx/scripts/python{version.major}/sphinx-build"
@@ -22,7 +24,7 @@
 	ln -s /usr/share/javascript/mathjax \
 		documentation/source/_static/mathjax
 	pybuild --system=custom -p $(PY3DEF) --build \
-		--build-args="env PYTHONPATH={build_dir} $(MAKE) SPHINXBUILD=$(SPHINXBUILD) DOXYGEN=/usr/bin/doxygen"
+		--build-args="env PYTHONPATH={build_dir} BREATHE_GIT_TAG=v$(DEB_VERSION_UPSTREAM) $(MAKE) SPHINXBUILD=$(SPHINXBUILD) DOXYGEN=/usr/bin/doxygen"
 	mv documentation/build/html html
 	# Hotfix for build path in documentation
 	sed -i -e 's@$(CURDIR)/@@g' html/*.html

=== debian/tests/control ===
Tests: python3
Depends: python3, python3-breathe, python3-sphinx, make, texlive-plain-generic, texlive-latex-extra, texlive-fonts-recommended, latexmk, tex-gyre
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d+.*)\.tar\.gz/@PACKAGE@-$1\.tar\.gz/ \
 https://github.com/michaeljones/breathe/releases .*/v(\d+.*)\.tar\.gz
# The tarball on pypi is missing a bunch of files (LICENSE, all the examples),
# so we take the one from github for now.
# https://pypi.python.org/packages/source/b/breathe/breathe-(\d+.*)\.tar\.gz

## breathe 4.35.0

=== tests/warnings/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/TestBreatheWarnings.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/TestBreatheWarnings.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/TestBreatheWarnings"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/TestBreatheWarnings"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
breathe (4.35.0-3) unstable; urgency=medium

  * Update d/rules and add support for nodoc profile
  * Stop treating Sphinx warnings as errors (Closes: #1051166)

 -- Timo Röhling <roehling@debian.org>  Sun, 28 Jan 2024 15:34:44 +0100

breathe (4.35.0-2) unstable; urgency=medium

  * Add missing dependencies to d/tests/control

 -- Timo Röhling <roehling@debian.org>  Thu, 22 Jun 2023 12:31:33 +0200

breathe (4.35.0-1) unstable; urgency=medium

  * Update d/watch
  * New upstream version 4.35.0
  * Bump Standards-Version to 4.6.2
  * Breathe documentation uses Furo theme now

 -- Timo Röhling <roehling@debian.org>  Sun, 18 Jun 2023 19:56:58 +0200

=== debian/control ===
--- 
+++ 
@@ -6,18 +6,22 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
+ dh-sequence-python3,
+ dh-sequence-sphinxdoc <!nodoc>,
  python3-all,
  python3-setuptools,
  python3-docutils,
  python3-sphinx (>= 3),
- doxygen,
- graphviz,
- latexmk,
- tex-gyre,
- texlive-plain-generic,
- texlive-latex-extra,
- texlive-fonts-recommended
-Standards-Version: 4.6.1
+ python3-sphinx-copybutton <!nodoc>,
+ doxygen <!nodoc>,
+ furo <!nodoc>,
+ graphviz <!nodoc>,
+ latexmk <!nodoc>,
+ tex-gyre <!nodoc>,
+ texlive-plain-generic <!nodoc>,
+ texlive-latex-extra <!nodoc>,
+ texlive-fonts-recommended <!nodoc>,
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/python-team/packages/breathe.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/breathe
 Homepage: https://github.com/michaeljones/breathe/

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

SPHINXBUILD="/usr/share/sphinx/scripts/python3/sphinx-build"

# Build documentation for readthedocs
export READTHEDOCS=True
# Do not build for Travis
export TRAVIS_CI=False

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_clean:
	$(MAKE) distclean
	rm -rf html

execute_after_dh_auto_build:
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	# Link mathjax in _static
	ln -s /usr/share/javascript/mathjax \
		documentation/source/_static/mathjax
	env PYTHONPATH=$(shell pybuild --print {build_dir} --interpreter python3) BREATHE_GIT_TAG=v$(DEB_VERSION_UPSTREAM) \
		$(MAKE) SPHINXBUILD=$(SPHINXBUILD) DOXYGEN=/usr/bin/doxygen SPHINXOPTS="-v -E"
	mv documentation/build/html html
	# Hotfix for build path in documentation
	sed -i -e 's@$(CURDIR)/@@g' html/*.html
endif

override_dh_auto_test:
	# We test breathe by building the documention. The documentation has already
	# been built for the default Python 3 version, so we do not need to do this
	# again.

override_dh_installdocs:
	# Do not copy mathjax to the binary package
	dh_installdocs -X_static/mathjax

override_dh_sphinxdoc:
	# dh_link creates the link for mathjax after dh_sphinxdoc, so ignore
	# MathJax.js
	dh_sphinxdoc -XMathJax.js

=== debian/tests/control ===
Tests: python3
Depends:
 furo,
 latexmk,
 make,
 python3,
 python3-breathe,
 python3-sphinx,
 python3-sphinx-copybutton,
 tex-gyre,
 texlive-fonts-recommended,
 texlive-latex-extra,
 texlive-plain-generic,
Restrictions: allow-stderr

## breathe 4.36.0

=== Makefile ===
--- 
+++ 
@@ -34,15 +34,11 @@
 dev-test:
 	cd tests && PYTHONPATH=../:$(PYTHONPATH) python3 -m pytest -v
 
-.PHONY: flake8
-flake8:
-	flake8 breathe/*.py \
-		breathe/directives/*.py \
-		breathe/finder/*.py \
-		breathe/renderer/sphinxrenderer.py \
-		breathe/renderer/filter.py \
-		breathe/parser/compound.py
+.PHONY: ruff
+ruff:
+	ruff check
+	ruff format
 
 .PHONY: type-check
 type-check:
-	mypy breathe tests
+	mypy

=== documentation/Makefile ===
--- 
+++ 
@@ -2,7 +2,9 @@
 #
 
 # You can set these variables from the command line.
-SPHINXOPTS   ?= -vn
+SPHINXOPTS   ?= -v -W -E
+# -n triggers an additional 100+ warnings (all about undefined references) that -W treats as errors.
+# these extraneous warnings are ignored because some doc pages have to avoid duplicate IDs
 SPHINXBUILD   = sphinx-build
 PAPER         =
 BUILDDIR     ?= build
@@ -10,7 +12,7 @@
 
 # User-friendly check for sphinx-build
 ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
-$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
+$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from https://www.sphinx-doc.org/)
 endif
 
 # Internal variables.
@@ -181,4 +183,3 @@
 	$(SPHINXBUILD) -b spelling -N $(ALLSPHINXOPTS) $(BUILDDIR)/spelling
 	@echo
 	@echo "Build finished. The spelling files are in $(BUILDDIR)/spelling."
-

=== examples/specific/Makefile ===
--- 
+++ 
@@ -26,7 +26,7 @@
 			enum define interface xrefsect tables \
 			cpp_anon cpp_concept cpp_enum cpp_union cpp_function cpp_friendclass \
 			cpp_inherited_members cpp_trailing_return_type cpp_constexpr_hax \
-			cpp_function_lookup \
+			cpp_function_lookup cpp_ns_template_specialization \
 			c_file c_struct c_enum c_typedef c_macro c_union membergroups \
 			simplesect code_blocks dot_graphs
 
@@ -55,7 +55,7 @@
 programlisting/xml/index.xml: programlisting.h programlisting.cfg programlistinginclude.txt
 	$(DOXYGEN) programlisting.cfg
 
-decl_impl/xml/index.xml: decl_impl.h decl_impl.c decl_impl.cfg
+decl_impl/xml/index.xml: decl_impl.h decl_impl.cpp decl_impl.cfg
 	$(DOXYGEN) decl_impl.cfg
 
 multifilexml/xml/index.xml: multifile/one/Util.h multifile/two/Util.h multifile.cfg

=== tests/warnings/Makefile ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 # User-friendly check for sphinx-build
 ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
-$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
+$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from https://www.sphinx-doc.org/)
 endif
 
 # Internal variables.

=== debian/changelog ===
breathe (4.36.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Timo Röhling <roehling@debian.org>  Wed, 20 Aug 2025 10:06:40 +0200

breathe (4.36.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Rebase patches for the new release.
  * Bump required Sphinx version to 7.2.
  * Update Homepage URL.
  * Build-depend on flit and pybuild-plugin-pyproject instead of setuptools.
  * Build-depend on python3-sphinxcontrib.spelling for the docs.
  * Update debian/copyright.
  * Switch from MathJax 2 to MathJax 3.
  * Stop building PDF documentation, we do not ship it anyway.
  * Fix PDF build in the autopkgtest:
    - Add a patch to enable imgconverter extension.
    - Add dependencies on imagemagick and librsvg2-bin.
  * Bump Standards-Version to 4.7.2, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 11 May 2025 20:04:28 +0300

=== debian/control ===
--- 
+++ 
@@ -8,23 +8,20 @@
  dh-python,
  dh-sequence-python3,
  dh-sequence-sphinxdoc <!nodoc>,
- python3-all,
- python3-setuptools,
- python3-docutils,
- python3-sphinx (>= 3),
- python3-sphinx-copybutton <!nodoc>,
  doxygen <!nodoc>,
+ flit (>= 3.7),
  furo <!nodoc>,
  graphviz <!nodoc>,
- latexmk <!nodoc>,
- tex-gyre <!nodoc>,
- texlive-plain-generic <!nodoc>,
- texlive-latex-extra <!nodoc>,
- texlive-fonts-recommended <!nodoc>,
-Standards-Version: 4.6.2
+ pybuild-plugin-pyproject,
+ python3-all,
+ python3-docutils,
+ python3-sphinx (>= 7.2),
+ python3-sphinx-copybutton <!nodoc>,
+ python3-sphinxcontrib.spelling <!nodoc>,
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/python-team/packages/breathe.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/breathe
-Homepage: https://github.com/michaeljones/breathe/
+Homepage: https://github.com/breathe-doc/breathe
 Rules-Requires-Root: no
 
 Package: python3-breathe
@@ -52,7 +49,7 @@
 Depends:
  ${sphinxdoc:Depends},
  ${misc:Depends},
- libjs-mathjax
+ node-mathjax-full
 Section: doc
 Description: Sphinx autodox support for languages with doxygen support (documentation)
  Breathe provides a bridge between the Sphinx and doxygen documentation

=== debian/rules ===
--- 
+++ 
@@ -19,10 +19,10 @@
 execute_after_dh_auto_build:
 ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
 	# Link mathjax in _static
-	ln -s /usr/share/javascript/mathjax \
-		documentation/source/_static/mathjax
+	ln -s /usr/share/nodejs/mathjax-full \
+		documentation/source/_static/mathjax-full
 	env PYTHONPATH=$(shell pybuild --print {build_dir} --interpreter python3) BREATHE_GIT_TAG=v$(DEB_VERSION_UPSTREAM) \
-		$(MAKE) SPHINXBUILD=$(SPHINXBUILD) DOXYGEN=/usr/bin/doxygen SPHINXOPTS="-v -E"
+		$(MAKE) html SPHINXBUILD=$(SPHINXBUILD) DOXYGEN=/usr/bin/doxygen SPHINXOPTS="-v -E"
 	mv documentation/build/html html
 	# Hotfix for build path in documentation
 	sed -i -e 's@$(CURDIR)/@@g' html/*.html
@@ -35,10 +35,9 @@
 
 override_dh_installdocs:
 	# Do not copy mathjax to the binary package
-	dh_installdocs -X_static/mathjax
+	dh_installdocs -X_static/mathjax-full
 
 override_dh_sphinxdoc:
 	# dh_link creates the link for mathjax after dh_sphinxdoc, so ignore
-	# MathJax.js
-	dh_sphinxdoc -XMathJax.js
-
+	# tex-mml-chtml.js
+	dh_sphinxdoc -Xtex-mml-chtml.js

=== debian/tests/control ===
--- 
+++ 
@@ -1,12 +1,15 @@
 Tests: python3
 Depends:
  furo,
+ imagemagick,
  latexmk,
+ librsvg2-bin,
  make,
  python3,
  python3-breathe,
  python3-sphinx,
  python3-sphinx-copybutton,
+ python3-sphinxcontrib.spelling,
  tex-gyre,
  texlive-fonts-recommended,
  texlive-latex-extra,

=== debian/watch ===
version=4
opts=searchmode=plain,filenamemangle=s%(?:.*?/)?v?@ANY_VERSION@%@PACKAGE@-$1.tar.gz% \
 https://api.github.com/repos/michaeljones/breathe/tags \
 tarball/(?:[^"]*?/)?v?@ANY_VERSION@
# The tarball on pypi is missing a bunch of files (LICENSE, all the examples),
# so we take the one from github for now.
# https://pypi.python.org/packages/source/b/breathe/breathe-(\d+.*)\.tar\.gz
